## qterm 0.5.7

=== CMakeLists.txt ===
project(qterm)
cmake_minimum_required(VERSION 2.4.6 FATAL_ERROR)
set(QTERM_VERSION_MAJOR 0)
set(QTERM_VERSION_MINOR 5)
set(QTERM_VERSION_RELEASE 7)
set(QTERM_VERSION "${QTERM_VERSION_MAJOR}.${QTERM_VERSION_MINOR}.${QTERM_VERSION_RELEASE}" )
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
find_package(Qt4 REQUIRED)
find_package(KDE4)
add_subdirectory(src)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
