=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,16 @@
 set(optionalLibs)
 set(optionalSources)
-set(win32Libs libwsock32.a)
 option(QTERM_ENABLE_SSH "Build SSH Support" ON)
 option(QTERM_ENABLE_DBUS "Build DBus Support" ON)
+option(QTERM_ENABLE_SCRIPT "Build Script Support" ON)
 option(QTERM_ENABLE_PHONON "Build Phonon Support" ON)
+option(QTERM_OLD_PHONON "Hack for Outdated Phonon Library" OFF)
 option(QTERM_ENABLE_TEST "Build the tests")
+option(QTERM_ENABLE_SCRIPT_DEBUGGER "Build ScriptDebugger Support")
+if(QT_VERSION_MINOR LESS 5)
+   message(STATUS "Script support will be disabled because you have an old version of Qt, consider update to Qt 4.5 at least.")
+   set(QTERM_ENABLE_SCRIPT OFF)
+endif(QT_VERSION_MINOR LESS 5)
 if(QTERM_ENABLE_SSH)
    find_package(OpenSSLCrypto)
    if(OPENSSL_CRYPTO_FOUND)
@@ -29,14 +35,43 @@
       include_directories(${QT_QTDBUS_INCLUDE_DIR})
       set(optionalLibs ${optionalLibs} ${QT_QTDBUS_LIBRARY})
       set(optionalSources ${optionalSources} dbus.cpp)
+      find_file(KWALLET_XML org.kde.KWallet.xml ${KDE4_DBUS_INTERFACES_DIR} ${DBUS_INTERFACES_INSTALL_DIR})
+      if(KWALLET_XML)
+         message(STATUS "KWallet found, enable KWallet support")
+         add_definitions(-DKWALLET_ENABLED)
+         qt4_add_dbus_interface(optionalSources ${KWALLET_XML} kwallet_interface )
+         set(optionalSources ${optionalSources} wallet.cpp)
+      endif(KWALLET_XML)
    endif(QT_QTDBUS_FOUND)
 endif(QTERM_ENABLE_DBUS)
+if(QTERM_ENABLE_SCRIPT)
+   if(QT_QTSCRIPT_FOUND)
+      message(STATUS "QtScript module found, enable Script support")
+      add_definitions(-DSCRIPT_ENABLED)
+      include_directories(${QT_QTSCRIPT_INCLUDE_DIR})
+      set(optionalLibs ${optionalLibs} ${QT_QTSCRIPT_LIBRARY})
+      set(optionalSources ${optionalSources} scripthelper.cpp)
+      if(QTERM_ENABLE_SCRIPT_DEBUGGER)
+         if(QT_QTSCRIPTTOOLS_FOUND)
+            message(STATUS "QtScriptTools module found, enable Debugger support")
+            add_definitions(-DSCRIPTTOOLS_ENABLED)
+            include_directories(${QT_QTSCRIPTTOOLS_INCLUDE_DIR})
+            set(optionalLibs ${optionalLibs} ${QT_QTSCRIPTTOOLS_LIBRARY})
+         else(QT_QTSCRIPTTOOLS_FOUND)
+            message(STATUS "QtScriptTools module not found, make sure your Qt is higher than 4.5")
+         endif(QT_QTSCRIPTTOOLS_FOUND)
+      endif(QTERM_ENABLE_SCRIPT_DEBUGGER)
+   endif(QT_QTSCRIPT_FOUND)
+endif(QTERM_ENABLE_SCRIPT)
 if(QTERM_ENABLE_PHONON)
    if(QT_PHONON_FOUND)
       message(STATUS "Qt Phonon module found, enable Phonon support")
       add_definitions(-DPHONON_ENABLED)
       include_directories(${QT_PHONON_INCLUDE_DIR})
       set(optionalLibs ${optionalLibs} ${QT_PHONON_LIBRARY})
+      if(QTERM_OLD_PHONON OR QT_VERSION_MINOR LESS 5)
+         add_definitions(-DOLD_PHONON)
+      endif(QTERM_OLD_PHONON OR QT_VERSION_MINOR LESS 5)
    else(QT_PHONON_FOUND)
       # Looking for KDE4, it is quite impossible that some system can have
       # Phonon without KDE4
@@ -57,7 +92,7 @@
    ui_msgdialog.h
    ui_prefdialog.h
    ui_quickdialog.h
-   ui_schemadialog.h
+   ui_schemedialog.h
    ui_soundconf.h
    ui_sshlogin.h
    ui_shortcutsdialog.h
@@ -97,7 +132,7 @@
    qtermzmodem.cpp
    qtermglobal.cpp
    quickdialog.cpp
-   schemadialog.cpp
+   schemedialog.cpp
    shortcutsdialog.cpp
    statusBar.cpp
    toolbardialog.cpp
@@ -114,7 +149,7 @@
    ui/msgdialog.ui
    ui/prefdialog.ui
    ui/quickdialog.ui
-   ui/schemadialog.ui
+   ui/schemedialog.ui
    ui/shortcutsdialog.ui
    ui/soundconf.ui
    ui/sshlogin.ui
@@ -135,13 +170,14 @@
   else(MINGW)
     SET(qterm_SRCS ${qterm_SRCS} qterm.rc)
   endif(MINGW)
+  find_library(WIN32_WS2_LIBRARY NAMES ws2_32)
+  if(WIN32_WS2_LIBRARY)
+    set(optionalLibs ${optionalLibs} ${WIN32_WS2_LIBRARY})
+  endif(WIN32_WS2_LIBRARY)
 endif(WIN32)
 qt4_wrap_ui(qterm_UIS_H ${qterm_UIS})
 qt4_automoc(${qterm_SRCS})
-add_definitions( -Wall -DHAVE_CONFIG_H )
-if(WIN32 AND MINGW)
-   set(CMAKE_CXX_FLAGS -mwindows)
-endif(WIN32 AND MINGW)
+add_definitions( -DHAVE_CONFIG_H )
 include_directories(
    ${QT_INCLUDE_DIR}
    ${QT_QTCORE_INCLUDE_DIR}
@@ -151,7 +187,11 @@
    ${CMAKE_BINARY_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR})
-add_executable(qterm ${qterm_SRCS})
+if(WIN32)
+   add_executable(qterm WIN32 ${qterm_SRCS})
+else(WIN32)
+   add_executable(qterm ${qterm_SRCS})
+endif(WIN32)
 target_link_libraries(qterm
    ${QT_LIBRARIES}
    ${QT_QTCORE_LIBRARY}
@@ -168,7 +208,10 @@
 install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/qterm.png DESTINATION share/icons)
 add_subdirectory(pic)
 add_subdirectory(cursor)
-add_subdirectory(schema)
+add_subdirectory(scheme)
+add_subdirectory(scripts)
+add_subdirectory(po)
+add_dependencies(qterm translations_target)
 if(QTERM_ENABLE_TEST)
    add_subdirectory(test)
 endif(QTERM_ENABLE_TEST)
