=== debian/changelog ===
qterm (1:0.5.8-1) unstable; urgency=low

  * new upstream release.
  * change debian format to 3.0 (quilt).
  * debian/control: bump standards version to 3.8.3.
  * remove depends on dpatch:
    - update debian/control and debian/rules
    - remove debian/patches dir.

 -- LI Daobing <lidaobing@debian.org>  Wed, 16 Dec 2009 21:36:46 +0800

qterm (1:0.5.7-1) unstable; urgency=low

  * new upstream release.
  * debian/control: 
    - bump standards version to 3.8.2.

 -- LI Daobing <lidaobing@debian.org>  Thu, 02 Jul 2009 18:49:35 +0800

qterm (1:0.5.6+1-1) unstable; urgency=low

  * new upstream release.
    - the upstream release 0.5.6 again for SF#2802669, but does not change
      the version number.

 -- LI Daobing <lidaobing@debian.org>  Mon, 08 Jun 2009 20:58:19 +0800

qterm (1:0.5.6-1) unstable; urgency=low

  * new upstream release.

 -- LI Daobing <lidaobing@debian.org>  Mon, 08 Jun 2009 07:22:50 +0800

qterm (1:0.5.5-1) unstable; urgency=low

  * new upstream release.
    - fix recognition of long URLs (LP: #317443)
    - fix copy problem of the last character (LP: #351613)
  * debian/control: 
    - change maintainer email.
    - bump standards version to 3.8.1.

 -- LI Daobing <lidaobing@debian.org>  Sat, 02 May 2009 22:33:15 +0800

qterm (1:0.5.4-2) unstable; urgency=low

  * debian/qterm.links: add a soft link for the icon (Closes: #517157)

 -- LI Daobing <lidaobing@gmail.com>  Thu, 26 Feb 2009 13:16:31 +0800

qterm (1:0.5.4-1) unstable; urgency=low

  * new upstream release.
    - no longer crash under QT4.5 (LP: #332177) 
  * debian/patches/08_desktop.dpatch: merged by upstream, removed.
  * debian/patches/00list: updated.

 -- LI Daobing <lidaobing@gmail.com>  Wed, 25 Feb 2009 12:04:40 +0800

qterm (1:0.5.3-2) unstable; urgency=low

  * FTBFS with GCC 4.4: missing #include (Closes: #510670)
    - debian/patches/07_gcc-4.3.dpatch: rename tp 07_gcc-4.4.dpatch
    - debian/patches/07_gcc-4.4.dpatch: updated
    - debian/patches/00list: updated
  * install desktop and icon (LP: #312932)
    - debian/patches/08_desktop.dpatch: added
    - debian/patches/00list: updated
  * debian/control: add ${misc:Depends} to depends, fix
    debhelper-but-no-misc-depends 

 -- LI Daobing <lidaobing@gmail.com>  Sun, 04 Jan 2009 19:12:58 +0800

qterm (1:0.5.3-1) unstable; urgency=low

  * new upstream release.

 -- LI Daobing <lidaobing@gmail.com>  Fri, 28 Nov 2008 19:22:01 +0800

qterm (1:0.5.2-1) experimental; urgency=low

  * new upstream release.
  * debian/control: bump standards version to 3.8.0, no changing needed.
  * FTBFS in gcc-4.3
    - debian/control: rebuild depends on dpatch
    - debian/rules: add dpatch support
    - debian/patches/00list: added
    - debian/patches/07_gcc-4.3.dpatch: fix FTBFS in gcc-4.3

 -- LI Daobing <lidaobing@gmail.com>  Sun, 21 Sep 2008 22:16:32 +0800

qterm (1:0.5.1-1) unstable; urgency=low

  * new upstream release
    - debian/control: this version support ssh2 protocol, update description.

 -- LI Daobing <lidaobing@gmail.com>  Tue, 04 Mar 2008 18:45:09 +0800

qterm (1:0.5.0-1) unstable; urgency=low

  * new upstream release
    - debian/control: don't build depends on dpatch.
    - debian/patches/06_desktop.dpatch: removed.
    - debian/patches/00list: removed.
    - debian/qterm.docs: removed.
    - debian/rules: remove dpatch part.
  * build with qt4 and cmake:
    - debian/control: updated, build depends on cdbs >= 0.4.51.
    - debian/rules: updated.

 -- LI Daobing <lidaobing@gmail.com>  Sun, 02 Mar 2008 18:33:17 +0800

qterm (1:0.4.1-1) unstable; urgency=low

  * new upstream release
    - deleted: debian/patches/04_make-isIllChar-more-strict.dpatch
    - deleted: debian/patches/05_distinguish-URL-spans-over-many-rows.dpatch
    - debian/rules: remove the common-install-impl part.
  * debian/watch: updated.
  * debian/patches/00list: updated.
  * debian/control: bump standards version to 3.7.3, no changing needed.
  * debian/copyright: clear license issue.
  * debian/qterm.1: clear confused part, Thanks Bas Wijnen.
  * debian/control: bump compat level from 5 to 6.
  * debian/compat: ditto.
  * Don't build depends on ancient libqt3-compat-headers (Closes: #464807)

 -- LI Daobing <lidaobing@gmail.com>  Sat, 09 Feb 2008 11:45:16 +0800

qterm (1:0.4.0-6) unstable; urgency=low

  * control: s/Home Page/Homepage/
  * compat: 4 -> 5
    - control: depends on debhelper >= 5
  * patches/04_make-isIllChar-more-strict.dpatch: added.
  * patches/05_distinguish-URL-spans-over-many-rows.dpatch: added.
  * patches/06_desktop.dpatch: added.
  * patches/00list: updated.
  * qterm.menu: menu transition.

 -- LI Daobing <lidaobing@gmail.com>  Tue, 09 Oct 2007 22:18:35 +0000

qterm (1:0.4.0-5) unstable; urgency=low

  * rename docs -> qterm.docs
  * add qterm.manpages
    - update rules
  * add qterm.install
    - udpate rules
    - remove dirs
  * rename menu -> qterm.menu
  * hurd-i386 now has libarts1-dev (Closes: #434434)
    - update control.

 -- LI Daobing <lidaobing@gmail.com>  Thu, 26 Jul 2007 00:12:08 +0800

qterm (1:0.4.0-4) unstable; urgency=low

  * fix FTBFS on hurd-i386, Thanks Cyril Brulebois (closes: #391300)

 -- LI Daobing <lidaobing@gmail.com>  Fri,  6 Oct 2006 07:38:46 +0800

qterm (1:0.4.0-3) unstable; urgency=low

  * rules:
    - rewrite the ts->pm script
    - clean: add 'rm -f subdirs'
  * control: add XS-Python-Version XB-Python-Version (closes: #380925)

 -- LI Daobing <lidaobing@gmail.com>  Wed,  9 Aug 2006 16:46:09 +0800

qterm (1:0.4.0-2) unstable; urgency=low

  * set ygh as the uploader.
  * debian/control: depends on python-dev instead of python2.3-dev
  * ship qterm.1 directly, does not build depends on docbook tools
  * debian/rules: do not clean desktop file
  * debian/rules: regeneate pm file from ts

 -- LI Daobing <lidaobing@gmail.com>  Wed, 12 Jul 2006 20:45:28 +0800

qterm (1:0.4.0-1) unstable; urgency=low

  * new upstream release
    - delete patches/03-icon.dpatch


