=== debian/control ===
Source: qterm
Section: x11
Priority: optional
Maintainer: LI Daobing <lidaobing@debian.org>
Uploaders: Yu Guanghui <ygh@debian.org>
Build-Depends: cdbs (>= 0.4.51), debhelper (>= 6),
 cmake (>= 2.4.2), libqt4-dev, libssl-dev
Standards-Version: 3.8.3
XS-Python-Version: current
Vcs-Browser: http://git.debian.org/?p=chinese/qterm.git
Vcs-Git: git://git.debian.org/git/chinese/qterm.git
Homepage: http://qterm.sourceforge.net/

Package: qterm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: BBS client for X Window System written in Qt
 QTerm is a BBS client for X Window System. It supports telnet, ssh1 and ssh2
 protocols. It also supports zmodem, URL detect, mouse action.
 .
 It also supports detecting location from ip address, but you need do some
 extra work, see README.Debian.
