=== debian/changelog ===
qterm (1:0.5.11-1) unstable; urgency=low

  * new upstream release.

 -- LI Daobing <lidaobing@debian.org>  Sat, 19 Jun 2010 19:23:30 +0800

qterm (1:0.5.10-1) unstable; urgency=low

  * new upstream release.
  * debian/control: bump standards version to 3.8.4.

 -- LI Daobing <lidaobing@debian.org>  Sun, 14 Feb 2010 16:22:04 +0800
