=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Yu Guanghui <ygh@debian.org>
 Build-Depends: cdbs (>= 0.4.51), debhelper (>= 6),
  cmake (>= 2.4.2), libqt4-dev, libssl-dev
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 XS-Python-Version: current
 Vcs-Browser: http://git.debian.org/?p=chinese/qterm.git
 Vcs-Git: git://git.debian.org/git/chinese/qterm.git
