## qterm 0.5.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,14 +4,21 @@
 set(QT_MIN_VERSION "4.5.0")
 set(QTERM_VERSION_MAJOR 0)
 set(QTERM_VERSION_MINOR 5)
-set(QTERM_VERSION_RELEASE 11)
+set(QTERM_VERSION_RELEASE 12)
 set(QTERM_VERSION "${QTERM_VERSION_MAJOR}.${QTERM_VERSION_MINOR}.${QTERM_VERSION_RELEASE}" )
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
 find_package(Qt4 REQUIRED)
 find_package(KDE4)
+
+IF(WIN32 AND MSVC)
+    ADD_DEFINITIONS (/D _CRT_SECURE_NO_WARNINGS)
+ENDIF(WIN32 AND MSVC)
+
 add_subdirectory(src)
 add_subdirectory(icons)
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
+
+include("package.cmake")
 
 configure_file(
   "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
