=== src/test/global/CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,10 @@
    testglobal.cpp
    ../../qtermconfig.cpp
    ../../qtermglobal.cpp
+   ../../qtermparam.cpp
    ../../qtermconvert.cpp)
 qt4_automoc(${global_SRCS})
+remove_definitions(-DKWALLET_ENABLED)
 
 include_directories(
 ${QT_INCLUDE_DIR}
@@ -22,6 +24,7 @@
 ${QT_QTGUI_LIBRARY}
 ${QT_QTNETWORK_LIBRARY}
 ${QT_QTTEST_LIBRARY}
+${QT_QTXML_LIBRARY}
 )
 
 add_test(global ${EXEC_DIR}/testglobal)
