=== debian/changelog ===
qterm (1:0.5.12-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-4.7": add patch from Paul Tagliamonte (missing
    include).
    (Closes: #667343)

 -- gregor herrmann <gregoa@debian.org>  Sat, 12 May 2012 14:20:47 +0200

qterm (1:0.5.12-1) unstable; urgency=low

  * new upstream release.
    - Fix "default keyboard profile does not handle 'End' key correctly"
      (Closes: #562188)
  * debian/control:
    - build depends on qt4-dev-tools, libqtscript4-qtbindings, libx11-dev.
    - bump standards version to 3.9.2.

 -- LI Daobing <lidaobing@debian.org>  Sun, 29 May 2011 00:11:28 +0800
