=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: LI Daobing <lidaobing@debian.org>
 Uploaders: Yu Guanghui <ygh@debian.org>
 Build-Depends: cdbs (>= 0.4.51), debhelper (>= 6),
- cmake (>= 2.4.2), libqt4-dev, libssl-dev
-Standards-Version: 3.8.4
+ cmake (>= 2.4.2), libqt4-dev, libssl-dev, qt4-dev-tools,
+ libqtscript4-qtbindings, libx11-dev
+Standards-Version: 3.9.2
 XS-Python-Version: current
 Vcs-Browser: http://git.debian.org/?p=chinese/qterm.git
 Vcs-Git: git://git.debian.org/git/chinese/qterm.git
