=== debian/watch ===
# See uscan(1) for format

version=3
http://sf.net/qterm/qterm-([\d\.]+)\.tar\.bz2
