=== debian/changelog ===
qterm (1:0.7.1-1) unstable; urgency=medium

  * New maintainer. (Closes: #841821)
  * ACK previous NMU. Thanks!
  * New upstream release.
    - Switch to new upstream.
    - Add support to OpenSSL 1.1.0. (Closes: #828524)
  * Put package under Debian Chinese Team.
    - Remove LI Daobing from maintainer list.
      Thank you for all your contribution!
    - Add myself onto uploaders list.
  * Switch from cdbs to dh/debhelper buildsystem.
  * Rewrite copyright file with machine-readable format.
  * Bump debhelper compat v7 -> v10.
  * Bump standard version to 3.9.8.
  * Remove obsolete menu file.
  * Remove obsolete xpm icons.
  * Add a patch to cherry-pick upstream license change.
    - Fixes gpl-openssl license issue.
    - Update d/copyright file.

 -- Boyuan Yang <073plan@gmail.com>  Tue, 03 Jan 2017 20:25:40 +0800

qterm (1:0.5.12-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with gcc6, using patch from OpenSuSe (Closes: #831093)
  * Remove Yu Guanghui from Uploaders, thanks for all the contributions!
    (Closes: #629018)

 -- Tobias Frost <tobi@debian.org>  Sat, 22 Oct 2016 21:34:19 +0200
