=== debian/control ===
Source: qterm
Section: x11
Priority: optional
Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
Uploaders:
 Boyuan Yang <073plan@gmail.com>,
Build-Depends:
 debhelper (>= 10~),
 cmake,
 qtbase5-dev,
 qttools5-dev,
 qttools5-dev-tools,
 qtscript5-dev,
 qtmultimedia5-dev,
 libssl-dev,
 libdbusmenu-qt5-dev,
 libphonon4qt5-dev,
 qt5keychain-dev,
 libkf5wallet-dev,
 libqt5sql5-sqlite,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/chinese/qterm.git
Vcs-Git: https://anonscm.debian.org/git/chinese/qterm.git
Homepage: https://github.com/qterm/qterm

Package: qterm
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: BBS client for X Window System written in Qt
 QTerm is a BBS client for X Window System. It supports telnet, ssh1 and ssh2
 protocols. It also supports zmodem, URL detect, mouse action.
 .
 It also supports detecting location from ip address, but you need do some
 extra work, see README.Debian.
